Write a failed release again
curl --request POST \
--url https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"workspace": "<string>",
"version": "<string>",
"sequence": 123,
"status": "building",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"trigger": "",
"package_uri": "<string>",
"package_sha": "<string>",
"package_size": 123,
"error": "<string>",
"change": {},
"published_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Decision functions
Write a failed release again
Write a release that failed to reach storage, from its stored manifest. The bytes are identical to the original build.
Required roles: approver or workspace_admin
POST
/
api
/
decisions
/
{workspace}
/
releases
/
{version}
/
rebuild
Write a failed release again
curl --request POST \
--url https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/decisions/{workspace}/releases/{version}/rebuild")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"workspace": "<string>",
"version": "<string>",
"sequence": 123,
"status": "building",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"trigger": "",
"package_uri": "<string>",
"package_sha": "<string>",
"package_size": 123,
"error": "<string>",
"change": {},
"published_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Workspace slug.
Maximum string length:
64Pattern:
^[a-z0-9][a-z0-9-]{0,63}$Release version, e.g. 1.4.0.
Pattern:
^\d{1,6}\.\d{1,6}\.\d{1,6}$Response
Successful Response
Where a workspace release is in being written to S3.
Available options:
building, published, failed Was this page helpful?

